import { BufferReader } from '../buffer-reader'

export class IncomingPacket extends BufferReader {
  messageType: number
  senderId: number
  length: number
  data: Buffer

  constructor (data: Buffer) {
    super()
    this.messageType = this.readUInt16()
    this.senderId = this.readUInt32()
    this.length = this.readUInt16()
    this.data = this.readBuffer(this.length)
  }
}
